Subject: Re: StGIT: "stg new" vs "stg new --force"

From: Catalin Marinas <[email-masked]>
Date: Sat, 21 Jan 2006 18:24:05 +0000

On 17/01/06, Pavel Roskin <[email-masked]> wrote:
> I think if would be better to improve "stg fold" to work on arbitrary
> patches.  This way, you prepare the patch in the editor (which would not
> be harder than finding hunk numbers) and fold it into the patch of your
> choice.  stg should check that the stack remains valid, possibly doing
> trivial adjustments to the higher patches.  The current tree should not
> be impacted.

Note that 'stg fold' uses git-apply-patch which doesn't take fuzzy
patches (a feature I began to like actually). Modifying the patch in
an editor might create some problems with applying.

--
Catalin